MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026363Open CASCADE[OCCT] OCCT:Visualizationpublic2015-06-23 10:072016-04-20 15:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026363: Visualization, TKOpenGl - missing RayTracing shader files should be properly reported in Release mode
DescriptionCurrent implementation of OpenGl_View::ShaderSource::Load() uses Standard_ASSERT_RETURN() in case of missing files.

This results in weird error reporting when GLSL program has been build with incomplete sources list.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0042328)
git (administrator)
2015-06-23 10:12

Branch CR26363 has been created by kgv.

SHA-1: 3d07f786609ede1f33b903332c6bc5d1d3beb034


Detailed log of new commits:

Author: kgv
Date: Tue Jun 23 10:12:03 2015 +0300

    0026363: Visualization, TKOpenGl - missing RayTracing shader files should be properly reported in Release mode
    
    OpenGl_View::ShaderSource::Load() - print error about missing files.
(0042329)
kgv (developer)
2015-06-23 10:12

Patch is ready for review in branch CR26363.
(0042405)
dbp (developer)
2015-06-24 11:30

Dear bugmaster,

please test the patch.
(0042437)
mkv (tester)
2015-06-25 11:19

Dear BugMaster,
Branch CR26363 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3d07f786609ede1f33b903332c6bc5d1d3beb034

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 97770458 / 98272225 [-0.51%]
Total CPU difference: 18453.930000000055 / 18555.40000000014 [-0.55%]
products component :
Total MEMORY difference: 24253444 / 24316064 [-0.26%]
Total CPU difference: 8207.90000000001 / 7858.430000000035 [+4.45%]

Testing on Windows:
occt component :
Total MEMORY difference: 56553621 / 56649611 [-0.17%]
Total CPU difference: 17328.38827869876 / 17577.05387269885 [-1.41%]
products component :
Total MEMORY difference: 15546726 / 15550884 [-0.03%]
Total CPU difference: 6385.370531599977 / 6414.932721099968 [-0.46%]

There are no differences in images found by testdiff.
(0043524)
git (administrator)
2015-07-27 13:39

Branch CR26363 has been deleted by kgv.

SHA-1: 3d07f786609ede1f33b903332c6bc5d1d3beb034

- Related Changesets
occt: master 73722cc9
Timestamp: 2015-06-23 07:12:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026363: Visualization, TKOpenGl - missing RayTracing shader files should be properly reported in Release mode

OpenGl_View::ShaderSource::Load() - print error about missing files.
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-23 10:07 kgv New Issue
2015-06-23 10:07 kgv Assigned To => kgv
2015-06-23 10:12 git Note Added: 0042328
2015-06-23 10:12 kgv Note Added: 0042329
2015-06-23 10:12 kgv Assigned To kgv => dbp
2015-06-23 10:12 kgv Severity minor => trivial
2015-06-23 10:12 kgv Status new => resolved
2015-06-24 11:30 dbp Note Added: 0042405
2015-06-24 11:30 dbp Assigned To dbp => bugmaster
2015-06-24 11:30 dbp Status resolved => reviewed
2015-06-24 16:54 mkv Assigned To bugmaster => mkv
2015-06-25 11:19 mkv Note Added: 0042437
2015-06-25 11:19 mkv Assigned To mkv => bugmaster
2015-06-25 11:19 mkv Status reviewed => tested
2015-06-25 11:19 mkv Test case number => Not needed
2015-06-26 13:42 bugmaster Changeset attached => occt master 73722cc9
2015-06-26 13:42 bugmaster Status tested => verified
2015-06-26 13:42 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043524
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker